Docs
Esc

Suggested

QuickstartGet started
Webhooks and signaturesMessaging
Create a messagemessages.create · POST /v1/accounts/{AC}/messages
RATE_LIMITED429 · Rate limit exceeded.
message.deliveredMessage resource
Contents

API reference

Exports

API reference descriptions are provided in English to preserve the exact published contract.

List private exports

GET/v1/accounts/{AC}/exports

exports.listSDK operation getV1AccountsByAcExports

Parameters

  • limitinteger (1–100)query
  • cursorstring (max 2048 chars)query

Create a private data export

POST/v1/accounts/{AC}/exports

exports.createSDK operation postV1AccountsByAcExports

Request body

  • kindenumRequired

    messagesbillingauditanalyticscontactscustomer_data

  • stepUpTokenstring (max 256 chars)Required
  • filtersobject
    Show 11 child attributes
    • actionstring (max 128 chars)
    • actorRefstring (max 256 chars)
    • campaignSidstring (CP… SID)
    • categorystring (max 64 chars)
    • contactSidstring (CT… SID)
    • fromstring (date-time)
    • resourceRefstring (max 256 chars)
    • senderSidstring (WA… SID)
    • statestring (max 64 chars)
    • statusstring (max 64 chars)
    • tostring (date-time)
  • formatenum

    csvjson

Fetch an export and short-lived result URL

GET/v1/accounts/{AC}/exports/{EX}

exports.retrieveSDK operation getV1AccountsByAcExportsByEx

Parameters

  • EXstring (EX… SID)Required